Package org.lwjgl.opengl

# Class ARBGpuShaderFp64

java.lang.Object
org.lwjgl.opengl.ARBGpuShaderFp64

public final class ARBGpuShaderFp64 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DOUBLE_MAT2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT2x3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT2x4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3x2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3x4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4x2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4x3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetUniform(int program, int location, DoubleBuffer params)`
`static void`
`glProgramUniform1dEXT(int program, int location, double x)`
`static void`
`glProgramUniform1EXT(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform2dEXT(int program, int location, double x, double y)`
`static void`
`glProgramUniform2EXT(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform3dEXT(int program, int location, double x, double y, double z)`
`static void`
`glProgramUniform3EXT(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform4dEXT(int program, int location, double x, double y, double z, double w)`
`static void`
`glProgramUniform4EXT(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2x3EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2x4EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3x2EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3x4EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4x2EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4x3EXT(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniform1(int location, DoubleBuffer value)`
`static void`
`glUniform1d(int location, double x)`
`static void`
`glUniform2(int location, DoubleBuffer value)`
`static void`
`glUniform2d(int location, double x, double y)`
`static void`
`glUniform3(int location, DoubleBuffer value)`
`static void`
`glUniform3d(int location, double x, double y, double z)`
`static void`
`glUniform4(int location, DoubleBuffer value)`
`static void`
`glUniform4d(int location, double x, double y, double z, double w)`
`static void`
`glUniformMatrix2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix2x3(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix2x4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3x2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3x4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4x2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4x3(int location, boolean transpose, DoubleBuffer value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DOUBLE_VEC2

public static final int GL_DOUBLE_VEC2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC3

public static final int GL_DOUBLE_VEC3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC4

public static final int GL_DOUBLE_VEC4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2

public static final int GL_DOUBLE_MAT2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3

public static final int GL_DOUBLE_MAT3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4

public static final int GL_DOUBLE_MAT4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x3

public static final int GL_DOUBLE_MAT2x3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x4

public static final int GL_DOUBLE_MAT2x4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x2

public static final int GL_DOUBLE_MAT3x2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x4

public static final int GL_DOUBLE_MAT3x4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x2

public static final int GL_DOUBLE_MAT4x2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x3

public static final int GL_DOUBLE_MAT4x3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

## Method Details

### glUniform1d

public static void glUniform1d(int location, double x)

### glUniform2d

public static void glUniform2d(int location, double x, double y)

### glUniform3d

public static void glUniform3d(int location, double x, double y, double z)

### glUniform4d

public static void glUniform4d(int location, double x, double y, double z, double w)

### glUniform1

public static void glUniform1(int location, DoubleBuffer value)

### glUniform2

public static void glUniform2(int location, DoubleBuffer value)

### glUniform3

public static void glUniform3(int location, DoubleBuffer value)

### glUniform4

public static void glUniform4(int location, DoubleBuffer value)

### glUniformMatrix2

public static void glUniformMatrix2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3

public static void glUniformMatrix3(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4

public static void glUniformMatrix4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix2x3

public static void glUniformMatrix2x3(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix2x4

public static void glUniformMatrix2x4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3x2

public static void glUniformMatrix3x2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3x4

public static void glUniformMatrix3x4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4x2

public static void glUniformMatrix4x2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4x3

public static void glUniformMatrix4x3(int location, boolean transpose, DoubleBuffer value)

### glGetUniform

public static void glGetUniform(int program, int location, DoubleBuffer params)

### glProgramUniform1dEXT

public static void glProgramUniform1dEXT(int program, int location, double x)

### glProgramUniform2dEXT

public static void glProgramUniform2dEXT(int program, int location, double x, double y)

### glProgramUniform3dEXT

public static void glProgramUniform3dEXT(int program, int location, double x, double y, double z)

### glProgramUniform4dEXT

public static void glProgramUniform4dEXT(int program, int location, double x, double y, double z, double w)

### glProgramUniform1EXT

public static void glProgramUniform1EXT(int program, int location, DoubleBuffer value)

### glProgramUniform2EXT

public static void glProgramUniform2EXT(int program, int location, DoubleBuffer value)

### glProgramUniform3EXT

public static void glProgramUniform3EXT(int program, int location, DoubleBuffer value)

### glProgramUniform4EXT

public static void glProgramUniform4EXT(int program, int location, DoubleBuffer value)

### glProgramUniformMatrix2EXT

public static void glProgramUniformMatrix2EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3EXT

public static void glProgramUniformMatrix3EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4EXT

public static void glProgramUniformMatrix4EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix2x3EXT

public static void glProgramUniformMatrix2x3EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix2x4EXT

public static void glProgramUniformMatrix2x4EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3x2EXT

public static void glProgramUniformMatrix3x2EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3x4EXT

public static void glProgramUniformMatrix3x4EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4x2EXT

public static void glProgramUniformMatrix4x2EXT(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4x3EXT

public static void glProgramUniformMatrix4x3EXT(int program, int location, boolean transpose, DoubleBuffer value)